Package org.h2gis.functions.io.gpx.model

# Class GPXCoordinate

java.lang.Object
org.h2gis.functions.io.gpx.model.GPXCoordinate

public class GPXCoordinate extends Object
This class is used to convert a waypoint to a coordinate

Author:
  Erwan Bocher

## Constructor Summary

Constructors
Constructor
Description
`GPXCoordinate()`

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.geom.Coordinate`
`createCoordinate(Attributes attributes)`
General method to create a coordinate from a gpx point.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GPXCoordinate

public GPXCoordinate()

## Method Details

### createCoordinate

public static org.locationtech.jts.geom.Coordinate createCoordinate(Attributes attributes) throws NumberFormatException
General method to create a coordinate from a gpx point.

Parameters:
  `attributes` - Attributes of the point. Here it is latitude and longitude
Returns:
  a coordinate
Throws:
  `NumberFormatException`